{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.ender_charger.movement" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"animations" : [
						"look_at_target"
					],
					"transitions" : [
						{ "move" : "query.ground_speed >= 0.3 && !query.has_target" },
						{ "pre_roll": "query.has_target" }
					],
					"blend_transition": 0.2
				},
				"move" : {
					"animations" : [
						"look_at_target",
						"walk"
					],
					"transitions" : [
						{ "default" : "query.ground_speed < 0.3" },
						{ "pre_roll": "query.has_target" }
					],
					"blend_transition": 0.2
				},
				"pre_roll": {
					"sound_effects": [
						{ "effect": "engine_start" }
					],
					"animations": [
						"pre_roll"
					],
					"transitions": [
						{ "roll": "query.all_animations_finished" }
					]
				},
				"roll": {
					"animations": [
						"roll"
					],
					"transitions": [
						{ "unroll": "!query.has_target" }
					],
					"blend_transition": 0.2
				},
				"unroll": {
					"animations": [
						"unroll"
					],
					"transitions": [
						{ "default": "query.all_animations_finished" }
					],
					"blend_transition": 0.2
				}
			}
		}
	}
}
